> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/application-packages.md).

# Application Packages

## Get

> Retrieve application package settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AppPackageSettings":{"get":{"tags":["2-Site settings//Application Packages"],"summary":"Get","description":"Retrieve application package settings.","operationId":"2e13e31b-e9c3-4328-8486-6532322926eb","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to retrieve the application package settings. (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AppPackageSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AppPackageSettings":{"type":"object","properties":{"siteId":{"type":"integer","description":"<para type=\"description\">ID of the Site for application packages settings</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the application packages feature is enabled or not</para>"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/AppVersionTag"},"description":"<para type=\"description\">Application version tags</para>","nullable":true},"provisionPackageCertificatesAutomatically":{"type":"boolean","description":"<para type=\"description\">Provision package certificates automatically</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Application Package Settings</para>\r\n<para type=\"description\"></para>"},"AppVersionTag":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">Tag ID</para>","format":"int32"},"name":{"type":"string","description":"<para type=\"description\">Tag name</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Application Package Settings Tags</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify application package settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AppPackageSettings":{"put":{"tags":["2-Site settings//Application Packages"],"summary":"Update","description":"Modify application package settings.","operationId":"770b7fcc-9dd4-48e9-a267-0917f796c3b1","parameters":[{"name":"siteId","in":"query","description":"The Site ID for which to modify the application package settings. (optional).","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Application package settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetAppPackageSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetAppPackageSettings":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Enable or disable the application packages.</para>","nullable":true},"provisionPackageCertificatesAutomatically":{"type":"boolean","description":"<para type=\"description\">Enable or Disable automatic provision of application package certificates.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update the Application Package Settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/application-packages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
